 function initScheduler() {

            scheduler.locale.labels.timeline_tab = "Timeline";
            scheduler.locale.labels.section_custom="Section";
            scheduler.config.details_on_create=true;
            scheduler.config.details_on_dblclick=true;
            scheduler.config.xml_date="%Y-%m-%d %H:%i";
            scheduler.config.time_step=15;
            scheduler.config.drag_lightbox=false;
            scheduler.attachEvent("onEventCollision", function (ev, evs){
                scheduler.deleteEvent(ev.id);
                return false;
                });

            //===============
            //Configuration
            //===============
           var sections=[
            {key:1, label:"Monday"},
            {key:2, label:"Tuesday"},
            {key:3, label:"Wednesday"},
            {key:4, label:"Thursday"},
            {key:5, label:"Friday"},
            {key:6, label:"Saturday"},
            {key:7, label:"Sunday"},
        ];

        var durations = {
                day: 24 * 60 * 60 * 1000,
                hour: 60 * 60 * 1000,
                minute: 60 * 1000
            };

            var get_formatted_duration = function(start, end) {
                var diff = end - start;

                var days = Math.floor(diff / durations.day);
                diff -= days * durations.day;
                var hours = Math.floor(diff / durations.hour);
                diff -= hours * durations.hour;
                var minutes = Math.floor(diff / durations.minute);

                var results = [];
                if (days) results.push(days + " days");
                if (hours) results.push(hours + " hours");
                if (minutes) results.push(minutes + " minutes");
                return results.join(", ");
            };


            var resize_date_format = scheduler.date.date_to_str(scheduler.config.hour_date);

            scheduler.templates.event_bar_text = function(start, end, event) {
                var state = scheduler.getState();
                if (state.drag_id == event.id) {
                    return resize_date_format(start) + " - " + resize_date_format(end) + " (" + get_formatted_duration(start, end) + ")";
                }
                return event.text; // default
            };

            scheduler.createTimelineView({
                name:	"timeline",
                x_unit:	"minute",
                x_date:	"%H:%i",
                x_step:	15,
                x_size: 96,
                x_start: 0,
                y_unit:	sections,
                y_property:	"section_id",
                render:"bar",
                event_dy: "full",
                second_scale:{
                    x_unit: "hour", 
                    x_date: "%H:00" 
                }
            });


var html = function(id) { return document.getElementById(id); };

            function save_form() {
            var ev = scheduler.getEvent(scheduler.getState().lightbox_id);
            ev.text = html("description").value;

            scheduler.endLightbox(true, html("my_form"));
        }

            //===============
            //Lightbox
            //===============
            scheduler.config.lightbox.sections=[];

            scheduler.init('device_schedule',new Date(2000,0,1),"timeline");

            //===============
            //Sample Schedule loading
            //===============
            scheduler.parse([
                { start_date: "2000-01-1 12:00", end_date: "2000-01-01 20:00", text:"12:00 - 20:00", section_id:2},
            ],"json");
        }